View Issue Details

IDProjectCategoryView StatusLast Update
0000852SymmetricDSImprovementpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version3.2.0Fixed in Version3.2.0 
Summary0000852: Add the ability to define the "sync key" of a table versus using the actual primary key
DescriptionAdd the ability to define the "sync key" of a table versus using the actual primary key
TagsNo tags attached.

Activities

chenson

2012-12-16 12:31

administrator   ~0000122

Prepare for release

Related Changesets

SymmetricDS: master a28950b5

2012-12-10 21:04:11

chenson

Details Diff
0000852: Add the ability to define the "sync key" of a table versus using the actual primary key
0000852
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Trigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TriggerHistory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: master 0ebc6ba6

2012-12-10 21:38:10

chenson

Details Diff
0000852: Add the ability to define the "sync key" of a table versus using the actual primary key
0000852
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/DbExportImportTest.java Diff File

Issue History

Date Modified Username Field Change
2012-10-12 20:46 chenson New Issue
2012-10-12 20:46 chenson Status new => assigned
2012-10-12 20:46 chenson Assigned To => chenson
2012-12-10 21:03 chenson Status assigned => resolved
2012-12-10 21:03 chenson Fixed in Version => 3.2.0
2012-12-10 21:03 chenson Resolution open => fixed
2012-12-16 12:31 chenson Note Added: 0000122
2012-12-16 12:31 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6660
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6661
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 0ebc6ba6
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master a28950b5